Returns the server connection ID for the command

- « MongoDB\Driver\Monitoring\CommandStartedEvent::getServer

- MongoDB\Driver\Monitoring\CommandStartedEvent::getServiceId »

- PHP Manual
- MongoDB\Driver\Monitoring\CommandStartedEvent
- Returns the server connection ID for the command

# MongoDB\Driver\Monitoring\CommandStartedEvent::getServerConnectionId

(mongodb >=1.14.0)

MongoDB\Driver\Monitoring\CommandStartedEvent::getServerConnectionId — Returns the server connection ID for the command

### Description

final public MongoDB\Driver\Monitoring\CommandStartedEvent::getServerConnectionId(): ?int

Returns the server connection ID for the command. The server connection ID is distinct from server (i.e. MongoDB\Driver\Monitoring\CommandStartedEvent::getServer()) and is returned in the "connectionId" field of a `hello` command response MongoDB 4.2+.

### Parameters

This function has no parameters.

### Return Values

Returns the server connection ID, or `null` if it is not available.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.